Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# relation.h File Reference

An AtkRelation and AtkRelationSet C++ wrapper interface. More...

`#include <inti/glib/object.h>`
`#include <inti/atk/util.h>`
`#include <atk/atkrelationset.h>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

- namespace Inti
- namespace Inti::Atk

## Detailed Description

An AtkRelation and AtkRelationSet C++ wrapper interface.

Provides Relation and RelationSet. Relation is used to describe a relation between an object and one or more other objects. RelationSet is the set of Relations which an Atk::Object has.
Main Page - Footer